cancel
Showing results for 
Search instead for 
Did you mean: 

PHP 7.2.1

SOLVED

PHP 7.2.1

Hi

 

Can Magento be installed on PHP 7.2.1 my install says it cant, is there a fix for this, or some howto type documentation somewhere

 

Magenta 2.2.3 Community Edition

PHP 7.2.1

 

Thank You

 

Cheers, Neil

** Dell Optiplex 9010, Intel Core I5, 16GB Memory, Centos 7.4 **
** PHP 7.1.16, MariaDB 10.1.11 **
7 REPLIES

Re: PHP 7.2.1

Magento 2.2.3 doesn'y support php 7.2.1

Its support upto php 7.1.*

Check below link for installation guide by magento docs,

https://devdocs.magento.com/guides/v2.3/install-gde/system-requirements-tech.html

Let me know if you have issue
If Issue Solved, Click Kudos/Accept As solutions.

Re: PHP 7.2.1

OK, Thanks Rakesh.

 

Any Idea when it will be supported on 7.2.1? I dont really want to go back to 7.1 with my server

 

Cheers

 

Neil 

** Dell Optiplex 9010, Intel Core I5, 16GB Memory, Centos 7.4 **
** PHP 7.1.16, MariaDB 10.1.11 **

Re: PHP 7.2.1

Php 7.2 will supporting In Magento 2.3.* version and It will be launch in end of 2018.

Currently magento latest version is 2.2.3 means version is 2.2.*

So there are not any chance to next six month they will support php 7.2

Read latest links for it,
https://community.magento.com/t5/Magento-DevBlog/From-PHP-7-0-to-PHP-7-2-in-Magento-2-3/ba-p/91371
If Issue Solved, Click Kudos/Accept As solutions.

Re: PHP 7.2.1

You can downgrade your php versiin from links

https://serverfault.com/questions/895746/switch-from-php-7-2-to-7-1-on-ubuntu-16-04-apache
If Issue Solved, Click Kudos/Accept As solutions.

Re: PHP 7.2.1

 

OK. I just installed a whole new server from the ground up and installed PHP 7.1, which turns out to be 7.1.16. Guess what, it still wont install because apparently I dont have 7.1.0, is this for real?

 

Thanks

 

Cheers, Neil 

** Dell Optiplex 9010, Intel Core I5, 16GB Memory, Centos 7.4 **
** PHP 7.1.16, MariaDB 10.1.11 **

Re: PHP 7.2.1

mm, must ne some kind of cach issue in chrome browser, worked ok in firefox

** Dell Optiplex 9010, Intel Core I5, 16GB Memory, Centos 7.4 **
** PHP 7.1.16, MariaDB 10.1.11 **

Re: PHP 7.2.1

@Rakesh Jesadiya

 

Maybe Magento team should update the webpage for server requirements?

Going to the PHP section, you will see 7.2.x Supported with a little green check.

 

However, even Magento 2.2.4 won't install with PHP 7.2 as it is looking for mycrypt, which is deprecated in PHP 7.2. and the wizard server check also says 7.2 isn't supported :/ 

 

Thanks for the effort.

 

~ A.I